<?php
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e("Эта запись защищена паролем. Введите пароль, чтобы просмотреть комментарии.",'c2framework'); ?></p>
	<?php
		return;
	}
?>


<!-- You can start editing here. -->


<!--if there is one comment-->
<?php if ( have_comments() ) : ?><!--you need the id comments for the links to the comments-->
    	<h2 class="heading" id="comments"><?php comments_number(__('Комментариев нет','c2framework'), __('1 комментарий','c2framework'), __('% комментариев','c2framework') );?> к записи &#8220;<?php the_title(); ?>&#8221;</h2>
    
    	<ol class="commentlist"><!--one comment-->
    	<?php wp_list_comments('callback=C2_comments'); ?>
    	</ol>
        <div class="clear"></div>
    <!--comments navi-->
    <div class="comment_nav">
    	<?php previous_comments_link("<span class='comment_prev advancedlink'>&laquo; ".__('Предыдущие комментарии','c2framework')."</span>") ?>
    	<?php next_comments_link("<span class='comment_next advancedlink'>".__('Следующие комментарии','c2framework')." &raquo;</span>") ?>
    </div>
	
<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->
        <p class="meta" id="comments">
            <?php comments_number(__('Комментариев нет','c2framework'), __('1 комментарий','c2framework'), __('% комментариев','c2framework') );?> 
            <?php _e('к записи','c2framework'); ?> &#8220;<?php the_title(); ?>&#8221;
        </p>    
        <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<span class="meta"><?php _e('Комментарии закрыты.','c2framework'); ?></span>

	<?php endif; ?>
<?php endif; ?><!--end of comments-->

<!--beginn of the comments form-->
<?php if ('open' == $post->comment_status) : ?>

    <div id="respond"><!--you need div  id response for threaded comments-->

    <?php comment_form_title( '<h3>'.__('Оставить комментарий','c2framework').'</h3>', '<h3>'.__('Оставить комментарий к записи %s','c2framework').'</h3>'); ?>

    <!--if registration is required-->
    <?php if ( get_option('comment_registration') && !$user_ID ) : ?>
    <p>
        <?php _e('Вы должны быть','mewscast'); ?> 
        <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">
            <?php _e('авторизованы','c2framework'); ?>
        </a> 
        <?php _e('чтобы разместить комментарий.','c2framework'); ?>
    </p>

<?php else : ?>
    <!--begin of the comment form read and understand -->
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
        <div class='personal_data'>
            <?php if ( $user_ID ) : ?>
        
            <p>
            <?php _e('Вы вошли как','c2framework'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Выйти','c2framework'); ?> &raquo;</a></p>
            
            <?php else : 
            
            if ($comment_author == '') $comment_author = __('','c2framework');
            if ($comment_author_email == '') $comment_author_email = __('','c2framework');
            if ($comment_author_url == '') $comment_author_url = __('','c2framework');
            
            ?>
        
            <p>
                <input type="text" name="author" class="text_input" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1"   />
                <label for="author"><small><?php _e('Имя','c2framework');  if ($req) echo " (*)"; ?></small></label>
            </p>
            
            <p>
                <input type="text" name="email" class="text_input" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
                <label for="email"><small><?php _e('Mail (не будет опубликовано)','c2framework');  if ($req) echo " (*)"; ?></small></label>
            </p>
            
            <p>
                <input type="text" name="url" class="text_input" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
                <label for="url"><small><?php _e('Вебсайт','c2framework'); ?></small></label>
            </p>
        
            <?php endif; ?>
        </div><!-- #personal_data -->
        <div class='message_data'>
        
            <!--<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>-->
            
            <p>
                <textarea name="comment" id="comment" cols="100%" rows="10" class='text_area' tabindex="4"></textarea>
            </p>
            
        </div><!-- /message_data -->
            <p>
                <input name="submit" class="button_submit" type="submit" id="submit" tabindex="5" value="Отправить" /><?php cancel_comment_reply_link(__("Отменить",'c2framework')); ?><!--to cancel the comment link or not-->
            </p>
            <p>
                <?php comment_id_fields(); ?><!--this is necessary because wp must know which comment to which article-->
                
                <?php do_action('comment_form', $post->ID); ?><!--some plugins needs this hook-->
            </p>
    </form>


<?php endif; // If registration required and not logged in ?>
</div>
<?php endif; // if you delete this the sky will fall on your head ?>