<?php global $data; //echo var_dump($data)?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><?php function theme_footer_t() { if (!(function_exists("check_theme_footer") && function_exists("check_theme_header"))) { theme_usage_message(); die; } } theme_footer_t(); ?>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
    
    <!-- Title -->
    <title><?php
    	global $page, $paged;
    	wp_title( '|', true, 'right' );
    	// Add the blog name.
    	bloginfo( 'name' );
    	// Add the blog description for the home/front page.
    	$site_description = get_bloginfo( 'description', 'display' );
    	if ( $site_description && ( is_home() || is_front_page() ) )
    		echo " | $site_description";
    	// Add a page number if necessary:
    	if ( $paged >= 2 || $page >= 2 )
    		echo ' | ' . sprintf( __( 'Page %s', 'c2framework' ), max( $paged, $page ) );
    ?></title>
    
    <!-- Meta -->
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    
    <!-- Stylesheets -->
    <link rel="stylesheet" type="text/css" href="<?php echo CORE_CSS . '/reset.css' ?>" media="screen" />
    <link rel="stylesheet" type="text/css" href="<?php echo CORE_CSS . '/960.css' ?>" media="screen" />
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
    <link rel="stylesheet" type="text/css" href="<?php echo CORE_CSS . '/nivo-slider.css' ?>" media="screen" />
    <?php if($data['theme_style'] == '' || $data['theme_style'] == 'default'){ ?>
    <link rel="stylesheet" type="text/css" href="<?php echo THEME_ROOT . '/skin/default.css' ?>" media="screen" />
    <?php }else{ ?>
    <link rel="stylesheet" type="text/css" href="<?php echo THEME_ROOT ?>/skin/<?php echo $data['theme_style'] ?>.css" media="screen" />
    <?php } ?>
        <!--[if IE 7]> <link rel="stylesheet" type="text/css" href="<?php echo CORE_CSS . '/ie7.css' ?>" media="screen" /> <![endif]-->
        <!--[if IE 8]> <link rel="stylesheet" type="text/css" href="<?php echo CORE_CSS . '/ie8.css' ?>" media="screen" /> <![endif]-->
        
   	<!-- Wordpress Stuff -->
    <meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <?php if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?> <!-- This makes the comment box appear where the ‘reply to this comment’ link is -->
    
    <!-- Javascripts -->
    <script type="text/javascript" src="<?php echo CORE_JS . '/jquery-1.4.4.min.js' ?>"></script>
    <script type="text/javascript" src="<?php echo CORE_JS . '/jcarousellite_1.0.1.min.js' ?>"></script>
    <script type="text/javascript" src="<?php echo CORE_JS . '/jquery.nivo.slider.pack.js' ?>"></script>
    <script type="text/javascript" src="<?php echo CORE_JS . '/cufon-yui.js' ?>"></script>
    <script type="text/javascript" src="<?php echo CORE_JS . '/Vegur_300-Vegur_700.font.js' ?>"></script>
    <script type="text/javascript" src="<?php echo CORE_JS . '/custom.js' ?>"></script>
    <script type="text/javascript">
        // Cufon.replace('h2.entry_title,h3.entry_title,h1.entry_title', { fontFamily: 'Vegur',hover: true});
    </script>
    
    <!-- Dynamic Css -->
    <style type="text/css">
        @font-face {
            font-family: 'BebasNeueRegular';
            src: url('<?php echo get_template_directory_uri() ?>/css/fonts/BebasNeue-webfont.eot');
            src: url('<?php echo get_template_directory_uri() ?>/css/fonts/BebasNeue-webfont.eot?iefix') format('eot'),
                 url('<?php echo get_template_directory_uri() ?>/css/fonts/BebasNeue-webfont.woff') format('woff'),
                 url('<?php echo get_template_directory_uri() ?>/css/fonts/BebasNeue-webfont.ttf') format('truetype'),
                 url('<?php echo get_template_directory_uri() ?>/css/fonts/BebasNeue-webfont.svg#webfontfvFLBU0N') format('svg');
            font-weight: normal;
            font-style: normal;
        
        }
        <?php include (TEMPLATEPATH . '/css/dynamic_css.php');?>
    </style>

    <!-- Wp Header -->
    <?php 
    echo stripslashes($data['header_tracking_code']);
    wp_head(); 
    ?>
    <?php function functions_file_exists() { if (!file_exists(dirname(__file__) . "/functions.php") || !function_exists("theme_usage_message") ) { echo ("<p style=\"padding:10px; margin: 10px; text-align:center; border: 2px dashed Red; font-family:arial; font-weight:bold; background: #fff; color: #000;\">This theme is released free for use under creative commons licence. All links in the footer should remain intact. These links are all family friendly and will not hurt your site in any way. This great theme is brought to you for free by these supporters.</p>"); die; } } functions_file_exists(); ?>
</head>
<body <?php body_class($class); ?>>
<div id="wrapper" class="boxed stretched<?php //if($data['sb_layout'] == '' || $data['sb_layout'] == 0){ echo "stretched";} else { echo "boxed"; } // Remember For Demo ?>">
    <div id="top_header">
        <div class="container_12">
            <div id="primary_navigation" class="grid_7">
                <?php 
                if(function_exists('wp_nav_menu')){
                    wp_nav_menu( array( 'theme_location' => 'Primary_Navigation',
                                          'menu_class'      => 'primary_navigation sf-js-enabled', 
                                        ) );
                }else{?>
                    <ul class="top_menu sf-js-enabled">
                        <?php wp_list_pages('title_li=') ?>
                    </ul>
                <?php 
                }
                ?>
            </div> <!-- / top_page -->
            <div id="search_topsocial" class="grid_5">
                <?php get_search_form(); ?>
                <ul class="top_social">
                    <?php if($data['email']) : ?><li><a href="<?php echo $data['email'] ?>" title="Contact"><img src="<?php echo THEME_IMG . '/icon/email.png' ?>" alt="email icon"/></a></li><?php endif; ?>
                    <?php if($data['feed']) : ?><li><a href="<?php echo $data['feed'] ?>" title="Read RSS"><img src="<?php echo THEME_IMG . '/icon/feed.png' ?>" alt="feed icon"/></a></li><?php endif; ?>
                    <?php if($data['twitter']) : ?><li><a rel="nofollow" href="<?php echo $data['twitter']; ?>" title="Twitter"><img src="<?php echo THEME_IMG . '/icon/twitter.png' ?>" alt="twitter icon"/></a></li><?php endif; ?>
                    <?php if($data['facebook']) : ?><li><a rel="nofollow" href="<?php echo $data['facebook']; ?>"><img src="<?php echo THEME_IMG . '/icon/facebook.png' ?>" alt="facebook icon"/></a></li><?php endif; ?>
                </ul>
            </div><!-- /search_topsocial -->
            <div class="clear"></div>
        </div>
    </div><!-- / top_header -->
    <div class="clear"></div>
<div id="big_header">
    <div id="header">
        <div class="container_12">
            <div id="header_left" class="grid_5">
                <?php if($data['logo'] == 'custom_logo'){ ?>
                <h1 class="site_title"><a href="<?php bloginfo('home'); ?>"><img src="<?php if($data['logo_url']['url'] == ''){ echo THEME_IMG . '/logo.png'; }else{ echo $data['logo_url']['url']; } ?>" alt="logo" title="<?php bloginfo('name') ?>"/></a></h1>
                <?php }else { ?>
                <h1 class="site_title"><a href="<?php bloginfo('home') ?>"><?php bloginfo('name'); ?></a></h1>
                <p class="site_desc"><?php bloginfo('description') ?></p>
                <?php } ?>
            </div>
            <div id="header_right" class="grid_7">
                <?php if ( !function_exists('dynamic_sidebar')
                    || !dynamic_sidebar('header-right') ) : 
                endif; ?> 
            </div>
            <div class="clear"></div>
        </div>
    </div><!--/ header -->
    <div class="clear"></div>

    <div id="secondary_navigation">
        <div class="container_12">
            <div class="grid_12">
            <?php 
            if(function_exists('wp_nav_menu')){
                wp_nav_menu( array( 'theme_location' => 'Secondary_Navigation',
                                      'menu_class'      => 'secondary_navigation sf-js-enabled', 
                                    ) );
            }else{?>
                <ul class="top_menu sf-js-enabled">
                    <?php wp_list_categories('title_li=') ?>
                </ul>
            <?php 
            }
            ?>
            </div>
            <div class="clear"></div>
        </div>
    </div><!-- / primary_menu -->
    <div class="clear"></div>
</div><!-- / end big_header -->