<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Widget Ads : width-120 x height-any :-----*/
/*-----------------------------------------------------------------------------------*/

// Define theme name
//$themename='c2framework';
global $themename;

// Start here


/*-----------------------------------------------------------------------------------*/
/*-----: wts_widget_ads120xheight :-----*/
/*-----------------------------------------------------------------------------------*/

     class wts_widget_ads120xheight extends WP_Widget {
         function wts_widget_ads120xheight() {
            
            //Constructor
            global $themename;
            $widget_ops = array('classname' => 'widget_ads_120xheight', 
                                'description' => 'Ads (120 x any height) banner or Google Adsense.' );
            $this->WP_Widget('wts_widget_ads120xheight', $themename . ' Ads 120', $widget_ops);
         }
          
         function widget($args, $instance) {
            // prints the widget
            extract($args);
            
            //variables from widget setting
            $title = apply_filters('widget_title', $instance['title']);
            $ads = $instance['ads'];
            
            // Before Widget :
            echo $before_widget;
            
            // Display Widget Title if one was input .
            if($title)
                echo $before_title.$title.$after_title; // Before_title and After_title define by theme .
                
            // Display Ads
                echo '<div class="ads-120"><div class="padding-120">'; // Containing DIV
                
                if($ads)
                    //echo '<a href="#"><img src="" width="300" height="250" alt=""/></a>';
                    echo $ads;
                
                echo '</div></div>'; // end Containing DIV
            
            // After Widget
            echo $after_widget;
         }
          
         function update($new_instance, $old_instance) {
            //save the widget
            $instance = $old_instance;
            
            // Only text inputs
            $instance['title'] = strip_tags($new_instance['title']);
            
            $instance['ads'] = $new_instance['ads'];
            
            return $instance;
         }
          
         function form($instance) {
            //widgetform in backend
            
            //default widget settings.
            $defaults_setting = array(
                'title' => '',  
                'ads' => '<a href="#"><img src="'.THEME_IMG .'/120.gif'.'" width="120" alt=""/></a>'
            );
            $instance = wp_parse_args( (array) $instance, $defaults_setting );
            ?>
            
            <!-- Widget Title -->
            <p>
                <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
            </p>
            
            <p>
                <label for="<?php echo $this->get_field_id( 'ads' ); ?>"><?php _e('Ads Code (Single Banner or Google Adsense):', $themename) ?></label>
			    <textarea class="widefat" id="<?php echo $this->get_field_id( 'ads' ); ?>" name="<?php echo $this->get_field_name( 'ads' ); ?>" cols="20" rows="8"  ><?php echo $instance['ads']; ?></textarea>
            </p>
         <?php   
         }
     }
     
     function wts_widget_ads120_height(){
        register_widget('wts_widget_ads120xheight');
     }
     
     add_action( 'widgets_init', 'wts_widget_ads120_height' );
?>
