<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Widget Ads 300x250 :-----*/
/*-----------------------------------------------------------------------------------*/

// Define theme name
global $themename;
// Start here


/*-----------------------------------------------------------------------------------*/
/*-----: Wts_Widget_Ads300x250 :-----*/
/*-----------------------------------------------------------------------------------*/

     class Wts_Widget_Ads300x250 extends WP_Widget {
         function Wts_Widget_Ads300x250() {
            
            //Constructor
            global $themename;
            $widget_ops = array('classname' => 'widget_ads_300x250', 
                                'description' => 'A widget that allows the display of a single 300x250 ads banner or Google Adsense.' );
            $this->WP_Widget('Wts_Widget_Ads300x250', $themename . ' Ads 300x250', $widget_ops);
         }
          
         function widget($args, $instance) {
            // prints the widget
            extract($args);
            
            //variables from widget setting
            $title = apply_filters('widget_title', $instance['title']);
            $ads = $instance['ads'];
            
            // Before Widget :
            echo $before_widget;
            
            // Display Widget Title if one was input .
            if($title)
                echo $before_title.$title.$after_title; // Before_title and After_title define by theme .
                
            // Display Ads
                echo '<div class="ads-300 loader">'; // Containing DIV
                
                if($ads)
                    //echo '<a href="#"><img src="" width="300" height="250" alt=""/></a>';
                    echo $ads;
                
                echo '</div>'; // end Containing DIV
            
            // After Widget
            echo $after_widget;
         }
          
         function update($new_instance, $old_instance) {
            //save the widget
            $instance = $old_instance;
            
            // Only text inputs
            $instance['title'] = strip_tags($new_instance['title']);
            
            $instance['ads'] = $new_instance['ads'];
            
            return $instance;
         }
          
         function form($instance) {
            //widgetform in backend
            
            //default widget settings.
            $defaults_setting = array(
                'title' => '',
                'ads' => '<a href="#"><img src="'.THEME_IMG .'/300x250.gif'.'" width="300" height="250" alt=""/></a>'
            );
            $instance = wp_parse_args( (array) $instance, $defaults_setting );
            ?>
            
            <!-- Widget Title -->
            <p>
                <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
            </p>
            
            <p>
                <label for="<?php echo $this->get_field_id( 'ads' ); ?>"><?php _e('Ads Code (Single Banner or Google Adsense):', $themename) ?></label>
			    <textarea class="widefat" id="<?php echo $this->get_field_id( 'ads' ); ?>" name="<?php echo $this->get_field_name( 'ads' ); ?>" cols="20" rows="8"  ><?php echo $instance['ads']; ?></textarea>
            </p>
         <?php   
         }
     }
     
     function Wts_Widget_Ads300250(){
        register_widget('Wts_Widget_Ads300x250');
     }
     
     add_action( 'widgets_init', 'Wts_Widget_Ads300250' );
?>
